#ifndef COLORINFORMATION_H
#define COLORINFORMATION_H

#include <QtGui/QWidget>
#include "modelcreatordata.h"

namespace Ui {
    class ColorInformation;
}

class ColorInformation : public QWidget {
    Q_OBJECT
public:
    ColorInformation(QWidget *parent = 0);
    ~ColorInformation();
    void getColorInformation(M3D::M3DML_Color_Block *color);
    void loadData(const M3D::M3DML_Layer *layer);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ColorInformation *m_ui;
};

#endif // COLORINFORMATION_H
